/**
 * @file
 * Contains online_status.js.
 */
(function ($, Drupal) {
  'use strict';
  Drupal.behaviors.UserOnlineStatus = {
    attach: function (context, settings) {

      $('.user-online-status', context).each(function () {

        var uid = $(this).attr('data-user-online-status-uid');
        var $status = $(this).find('.status');
        var $response = $(this).find('.response');

        // Check status.
        $.getJSON('/online-status/' + uid, function (result) {

          if (result.online_status) {
            printOnlineStatus(result.online_status);
          }

        });

        // Print status.
        var printOnlineStatus = function (status) {
          $status.addClass(status);
          $response.html(status);
        }

      });

    }
  };
})(jQuery, Drupal);
